// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UAnimationGraph.h"
#include "SCW_UEdGraph.h"

class UAnimationGraph;;

namespace Sourcify
{
	class SCW_UAnimationGraph : public SCW_UEdGraph, public virtual ISCW_UAnimationGraph
	{
	public:
		SCW_UAnimationGraph(UAnimationGraph* InAnimationGraph);

		UAnimationGraph* ToUAnimationGraph() const;

		ISCW_UAnimationGraphPtr ToUAnimationGraphPtr() override;
		ISCW_UAnimationGraphConstPtr ToUAnimationGraphPtr() const override;

	protected:
		UAnimationGraph* AnimationGraph;
	};
} // namespace Sourcify